﻿Type=Class
Version=2.31
ModulesStructureVersion=1
B4i=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private sock As Socket
	Private const Port As Int = 54323
	Private astream As AsyncStreams
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize
	TryToConnect
End Sub

Private Sub TryToConnect
	sock.Initialize("sock")
	sock.Connect(Main.DesktopIp, Port, 10000)
End Sub

Private Sub sock_Connected (Successful As Boolean)
	If Successful Then
		Log("TCP Connected")
		astream.InitializePrefix(sock.InputStream, False, sock.OutputStream, "astream")
	Else
		Main.CallSubUtils1.CallSubPlus(Me, "TryToConnect", 3000)
	End If
End Sub

Public Sub SendCommand(data() As Byte)
	If sock.Connected = False Then
		LogColor("Not connected", Colors.Red)
		Return
	End If
	astream.Write(data)
End Sub

Private Sub astream_NewData (Buffer() As Byte)
	
End Sub

Private Sub astream_Terminated
	Log("TCP disconnected")
	astream.Close
	Main.CallSubUtils1.CallSubPlus(Me, "TryToConnect", 3000)
End Sub

Private Sub astream_Error
	astream_Terminated
End Sub